<h2 mat-dialog-title *ngIf="!editMode">Nuevo Usuario</h2>
<h2 mat-dialog-title *ngIf="editMode">Editar Usuario</h2>
<mat-dialog-content class="mat-typography">
    <mat-stepper [linear]="true" #stepper>
        <mat-step [stepControl]="firstForm">
          <form [formGroup]="firstForm">
            <ng-template matStepLabel>Datos Personales</ng-template>

                <p>
                    <mat-form-field appearance="fill" floatLabel="always">
                    <input formControlName="name" matInput placeholder="Nombre" required>
                    </mat-form-field>
                    <mat-form-field appearance="fill" floatLabel="always">
                        <input formControlName="lastname" matInput placeholder="Apellido" required>
                    </mat-form-field>  
                </p>
                <p>
                    <mat-form-field appearance="fill" floatLabel="always">
                        <input matInput formControlName="email" placeholder="Email">
                        <mat-error *ngIf="firstForm.get('email')?.invalid">{{getErrorMessage()}}</mat-error>
                    </mat-form-field>
                    <mat-form-field appearance="fill">
                        <mat-label>Teléfono</mat-label>
                        <input formControlName="phone" matInput placeholder="9 8796 5432" required>
                    </mat-form-field>
                </p>


            <div>
              <button mat-button matStepperNext [disabled]="firstForm.invalid" >Siguiente</button>
            </div>
          </form>
        </mat-step>

        <mat-step [stepControl]="secondForm" label="Datos de plan">
          <form [formGroup]="secondForm">


            <p>
                <mat-button-toggle-group formControlName="planId" aria-label="Font Style" required>
                    <ng-container *ngFor="let plan of plansList">
                        <mat-button-toggle *ngIf="(plan.enabled > 0)" [value]="plan.id"> {{plan.name}} </mat-button-toggle>
                    </ng-container>        
                </mat-button-toggle-group>
              </p>
              <p>
                <mat-form-field appearance="fill" floatLabel="always">
                    <mat-label>Sesiones/Semana</mat-label>
                    <input matInput type="number" placeholder="3" formControlName="sesiones" min="3">
                    <span matSuffix> veces/semana</span>
                </mat-form-field>
              </p>
              <p>
                <mat-form-field appearance="fill">
                  <mat-label>Comienzo Plan</mat-label>
                  <input matInput formControlName="planStartDate" [matDatepicker]="pickerStart">
                  <mat-datepicker-toggle matSuffix [for]="pickerStart"></mat-datepicker-toggle>
                  <mat-datepicker #pickerStart></mat-datepicker>
                </mat-form-field>      
                <mat-form-field appearance="fill">
                  <mat-label>Fin Plan</mat-label>
                  <input matInput formControlName="planEndDate" [matDatepicker]="pickerEnd" required>
                  <mat-datepicker-toggle matSuffix [for]="pickerEnd"></mat-datepicker-toggle>
                  <mat-datepicker #pickerEnd></mat-datepicker>
                </mat-form-field>
            </p>

            <div>
              <button mat-button matStepperPrevious>Atrás</button>
              <button mat-button [mat-dialog-close]="saveUser()" cdkFocusInitial [disabled]="firstForm.invalid || secondForm.invalid ">Guardar</button>
            </div>
          </form>
        </mat-step>
    </mat-stepper> 
</mat-dialog-content>